> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tagada.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume a processor

> Lift the pause and reset the shared decline streak. Replays reload current processor state.



## OpenAPI

````yaml /payments-api/openapi.json post /v1/processors/{id}/resume
openapi: 3.1.0
info:
  title: TagadaPay Payments API
  version: '2026-11-01'
servers:
  - url: https://api.tagada.io
security: []
paths:
  /v1/processors/{id}/resume:
    post:
      tags:
        - processors
      summary: Resume a processor
      description: >-
        Lift the pause and reset the shared decline streak. Replays reload
        current processor state.
      operationId: processors.resume
      parameters:
        - in: path
          name: id
          required: true
          schema:
            pattern: ^processor_[a-f0-9]{12}$
            type: string
        - in: header
          name: payments-account
          required: false
          schema:
            type: string
        - in: header
          name: payments-version
          required: false
          schema:
            enum:
              - '2026-11-01'
            type: string
        - in: header
          name: idempotency-key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Processor'
          description: Processor profile, connector capabilities and current state.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: >-
            parameter_invalid, parameter_missing, amount_out_of_range,
            method_not_available
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: authentication_required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: permission_denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: resource_not_found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: >-
            idempotency_key_reused, idempotency_key_in_progress,
            profile_sync_not_supported, profile_sync_unknown,
            method_activation_not_supported
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: rate_limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: internal_error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: not_implemented
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProcessorApiError'
          description: connector_not_available, processor_state_not_available
      security:
        - bearerAuth: []
components:
  schemas:
    Processor:
      properties:
        approval:
          properties:
            computed_at:
              type: string
            score:
              maximum: 1
              minimum: 0
              type: number
            source:
              enum:
                - processor
                - provider
              type: string
            volume:
              minimum: 0
              type: integer
          required:
            - score
            - volume
            - source
            - computed_at
          type:
            - object
            - 'null'
        capabilities:
          properties:
            acquirer:
              type:
                - string
                - 'null'
            activate_method:
              type: boolean
            authentication:
              properties:
                external_three_ds:
                  properties:
                    versions:
                      items:
                        type: string
                      type: array
                  required:
                    - versions
                  type:
                    - object
                    - 'null'
                none:
                  type: boolean
                processor_three_ds:
                  type: boolean
              required:
                - processor_three_ds
                - external_three_ds
                - none
              type: object
            authorization_validity:
              additionalProperties:
                additionalProperties:
                  minimum: 0
                  type: integer
                type: object
              type: object
            cancel:
              properties:
                by:
                  items:
                    type: string
                  type: array
              required:
                - by
              type:
                - object
                - 'null'
            capture_methods:
              items:
                type: string
              type: array
            currencies:
              additionalProperties:
                properties:
                  exponent:
                    minimum: 0
                    type: integer
                required:
                  - exponent
                type: object
              type: object
            descriptor:
              properties:
                max_length:
                  minimum: 0
                  type: integer
                mode:
                  enum:
                    - none
                    - suffix
                    - full
                  type: string
              required:
                - mode
                - max_length
              type: object
            disputes:
              items:
                type: string
              type: array
            exemptions:
              items:
                type: string
              type: array
            max_resends:
              minimum: 0
              type: integer
            merchant_initiated:
              properties:
                imported_network_transaction_ids:
                  type: boolean
                supported:
                  type: boolean
              required:
                - supported
                - imported_network_transaction_ids
              type: object
            methods:
              items:
                enum:
                  - card
                  - apple_pay
                  - google_pay
                  - link
                  - paypal
                  - klarna
                  - afterpay
                  - ideal
                type: string
              type: array
            network_tokens:
              type: boolean
            processor_tokens:
              type: boolean
            refunds:
              items:
                type: string
              type: array
            replay:
              properties:
                by_key:
                  type: boolean
                cached_errors:
                  type: string
                duplicate_codes:
                  items:
                    type: string
                  type: array
                in_progress_codes:
                  items:
                    type: string
                  type: array
                lookup:
                  type:
                    - string
                    - 'null'
                window_hours:
                  minimum: 0
                  type:
                    - integer
                    - 'null'
              required:
                - by_key
                - window_hours
                - cached_errors
                - in_progress_codes
                - duplicate_codes
                - lookup
              type: object
            settlement_modes:
              items:
                type: string
              type: array
            wallet_cryptogram_reuse:
              type: boolean
          required:
            - methods
            - currencies
            - authentication
            - exemptions
            - network_tokens
            - wallet_cryptogram_reuse
            - processor_tokens
            - merchant_initiated
            - capture_methods
            - authorization_validity
            - acquirer
            - descriptor
            - settlement_modes
            - replay
            - max_resends
            - cancel
            - refunds
            - disputes
            - activate_method
          type:
            - object
            - 'null'
        capabilities_synced_at:
          type:
            - string
            - 'null'
        declines_in_a_row:
          minimum: 0
          type:
            - integer
            - 'null'
        gateway:
          type:
            - string
            - 'null'
        id:
          type: string
        methods:
          items:
            properties:
              fees:
                items:
                  properties:
                    fixed:
                      additionalProperties: false
                      properties:
                        amount:
                          type: number
                        currency:
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHE
                            - CHF
                            - CHW
                            - CLF
                            - CLP
                            - CNY
                            - COP
                            - COU
                            - CRC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MRU
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MXV
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SDG
                            - SEK
                            - SGD
                            - SHP
                            - SLE
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SVC
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - USN
                            - UYI
                            - UYU
                            - UYW
                            - UZS
                            - VED
                            - VES
                            - VND
                            - VUV
                            - WST
                            - XAD
                            - XAF
                            - XCD
                            - XCG
                            - XOF
                            - XPF
                            - YER
                            - ZAR
                            - ZMW
                            - ZWG
                          type: string
                      required:
                        - amount
                        - currency
                      type: object
                    funding:
                      type:
                        - string
                        - 'null'
                    method:
                      enum:
                        - card
                        - apple_pay
                        - google_pay
                        - link
                        - paypal
                        - klarna
                        - afterpay
                        - ideal
                      type: string
                    rate_basis_points:
                      minimum: 0
                      type: integer
                    region:
                      type:
                        - string
                        - 'null'
                  required:
                    - method
                    - region
                    - funding
                    - rate_basis_points
                    - fixed
                  type: object
                type: array
              method:
                enum:
                  - card
                  - apple_pay
                  - google_pay
                  - link
                  - paypal
                  - klarna
                  - afterpay
                  - ideal
                type: string
              need:
                type:
                  - string
                  - 'null'
              reason:
                type:
                  - string
                  - 'null'
              requested_via:
                enum:
                  - api
                  - link
                  - null
                type:
                  - string
                  - 'null'
              since:
                type:
                  - string
                  - 'null'
              status:
                enum:
                  - active
                  - pending
                  - requested
                  - inactive
                  - needs_info
                  - unknown
                type: string
              waiting_on:
                type:
                  - string
                  - 'null'
            required:
              - method
              - status
              - since
              - requested_via
              - waiting_on
              - need
              - reason
              - fees
            type: object
          type: array
        mid:
          type:
            - string
            - 'null'
        mode:
          enum:
            - test
            - live
          type: string
        name:
          type: string
        object:
          enum:
            - processor
          type: string
        pause_reason:
          type:
            - string
            - 'null'
        paused_until:
          type:
            - string
            - 'null'
        profile:
          properties:
            acceptor_id:
              type:
                - string
                - 'null'
            acquirer:
              type:
                - string
                - 'null'
            brands:
              items:
                type: string
              type:
                - array
                - 'null'
            capture:
              properties:
                authorization_validity:
                  additionalProperties:
                    additionalProperties:
                      minimum: 0
                      type: integer
                    type: object
                  type: object
                methods:
                  items:
                    type: string
                  type: array
              required:
                - methods
                - authorization_validity
              type:
                - object
                - 'null'
            card_countries:
              properties:
                allowed:
                  items:
                    type: string
                  type: array
                refused:
                  items:
                    type: string
                  type: array
              required:
                - allowed
                - refused
              type:
                - object
                - 'null'
            currencies:
              additionalProperties:
                properties:
                  max_amount:
                    minimum: 0
                    type:
                      - integer
                      - 'null'
                  min_amount:
                    minimum: 0
                    type:
                      - integer
                      - 'null'
                required:
                  - min_amount
                  - max_amount
                type: object
              type:
                - object
                - 'null'
            descriptor:
              properties:
                max_length:
                  minimum: 0
                  type: integer
                mode:
                  type: string
              required:
                - mode
                - max_length
              type:
                - object
                - 'null'
            fees:
              items:
                properties:
                  fixed:
                    additionalProperties: false
                    properties:
                      amount:
                        type: number
                      currency:
                        enum:
                          - AED
                          - AFN
                          - ALL
                          - AMD
                          - AOA
                          - ARS
                          - AUD
                          - AWG
                          - AZN
                          - BAM
                          - BBD
                          - BDT
                          - BHD
                          - BIF
                          - BMD
                          - BND
                          - BOB
                          - BOV
                          - BRL
                          - BSD
                          - BTN
                          - BWP
                          - BYN
                          - BZD
                          - CAD
                          - CDF
                          - CHE
                          - CHF
                          - CHW
                          - CLF
                          - CLP
                          - CNY
                          - COP
                          - COU
                          - CRC
                          - CUP
                          - CVE
                          - CZK
                          - DJF
                          - DKK
                          - DOP
                          - DZD
                          - EGP
                          - ERN
                          - ETB
                          - EUR
                          - FJD
                          - FKP
                          - GBP
                          - GEL
                          - GHS
                          - GIP
                          - GMD
                          - GNF
                          - GTQ
                          - GYD
                          - HKD
                          - HNL
                          - HTG
                          - HUF
                          - IDR
                          - ILS
                          - INR
                          - IQD
                          - IRR
                          - ISK
                          - JMD
                          - JOD
                          - JPY
                          - KES
                          - KGS
                          - KHR
                          - KMF
                          - KPW
                          - KRW
                          - KWD
                          - KYD
                          - KZT
                          - LAK
                          - LBP
                          - LKR
                          - LRD
                          - LSL
                          - LYD
                          - MAD
                          - MDL
                          - MGA
                          - MKD
                          - MMK
                          - MNT
                          - MOP
                          - MRU
                          - MUR
                          - MVR
                          - MWK
                          - MXN
                          - MXV
                          - MYR
                          - MZN
                          - NAD
                          - NGN
                          - NIO
                          - NOK
                          - NPR
                          - NZD
                          - OMR
                          - PAB
                          - PEN
                          - PGK
                          - PHP
                          - PKR
                          - PLN
                          - PYG
                          - QAR
                          - RON
                          - RSD
                          - RUB
                          - RWF
                          - SAR
                          - SBD
                          - SCR
                          - SDG
                          - SEK
                          - SGD
                          - SHP
                          - SLE
                          - SOS
                          - SRD
                          - SSP
                          - STN
                          - SVC
                          - SYP
                          - SZL
                          - THB
                          - TJS
                          - TMT
                          - TND
                          - TOP
                          - TRY
                          - TTD
                          - TWD
                          - TZS
                          - UAH
                          - UGX
                          - USD
                          - USN
                          - UYI
                          - UYU
                          - UYW
                          - UZS
                          - VED
                          - VES
                          - VND
                          - VUV
                          - WST
                          - XAD
                          - XAF
                          - XCD
                          - XCG
                          - XOF
                          - XPF
                          - YER
                          - ZAR
                          - ZMW
                          - ZWG
                        type: string
                    required:
                      - amount
                      - currency
                    type: object
                  funding:
                    type:
                      - string
                      - 'null'
                  method:
                    enum:
                      - card
                      - apple_pay
                      - google_pay
                      - link
                      - paypal
                      - klarna
                      - afterpay
                      - ideal
                    type: string
                  rate_basis_points:
                    minimum: 0
                    type: integer
                  region:
                    type:
                      - string
                      - 'null'
                required:
                  - method
                  - region
                  - funding
                  - rate_basis_points
                  - fixed
                type: object
              type: array
            funding:
              items:
                type: string
              type:
                - array
                - 'null'
            home_region:
              type:
                - string
                - 'null'
            merchant_initiated:
              properties:
                imported_network_transaction_ids:
                  type: boolean
                supported:
                  type: boolean
              required:
                - supported
                - imported_network_transaction_ids
              type:
                - object
                - 'null'
            methods:
              items:
                properties:
                  method:
                    enum:
                      - card
                      - apple_pay
                      - google_pay
                      - link
                      - paypal
                      - klarna
                      - afterpay
                      - ideal
                    type: string
                  need:
                    type:
                      - string
                      - 'null'
                  reason:
                    type:
                      - string
                      - 'null'
                  requested_via:
                    enum:
                      - api
                      - link
                      - null
                    type:
                      - string
                      - 'null'
                  since:
                    type:
                      - string
                      - 'null'
                  status:
                    enum:
                      - live
                      - available
                      - needs_setup
                      - waiting
                      - unavailable
                      - not_reported
                    type: string
                  waiting_on:
                    type:
                      - string
                      - 'null'
                required:
                  - method
                  - status
                  - since
                  - requested_via
                  - waiting_on
                  - need
                  - reason
                type: object
              type: array
            network_tokens:
              type:
                - boolean
                - 'null'
            provider:
              type: string
            settlement_currency:
              type:
                - string
                - 'null'
            three_ds:
              properties:
                external_3ds:
                  properties:
                    versions:
                      items:
                        type: string
                      type: array
                  required:
                    - versions
                  type:
                    - object
                    - 'null'
                processor_3ds:
                  type: boolean
              required:
                - processor_3ds
                - external_3ds
              type:
                - object
                - 'null'
          required:
            - provider
            - acquirer
            - acceptor_id
            - home_region
            - methods
            - brands
            - funding
            - currencies
            - settlement_currency
            - card_countries
            - merchant_initiated
            - network_tokens
            - three_ds
            - capture
            - descriptor
            - fees
          type: object
        renewals_due:
          properties:
            amount:
              minimum: 0
              type:
                - integer
                - 'null'
            count:
              minimum: 0
              type:
                - integer
                - 'null'
            currency:
              enum:
                - AED
                - AFN
                - ALL
                - AMD
                - AOA
                - ARS
                - AUD
                - AWG
                - AZN
                - BAM
                - BBD
                - BDT
                - BHD
                - BIF
                - BMD
                - BND
                - BOB
                - BOV
                - BRL
                - BSD
                - BTN
                - BWP
                - BYN
                - BZD
                - CAD
                - CDF
                - CHE
                - CHF
                - CHW
                - CLF
                - CLP
                - CNY
                - COP
                - COU
                - CRC
                - CUP
                - CVE
                - CZK
                - DJF
                - DKK
                - DOP
                - DZD
                - EGP
                - ERN
                - ETB
                - EUR
                - FJD
                - FKP
                - GBP
                - GEL
                - GHS
                - GIP
                - GMD
                - GNF
                - GTQ
                - GYD
                - HKD
                - HNL
                - HTG
                - HUF
                - IDR
                - ILS
                - INR
                - IQD
                - IRR
                - ISK
                - JMD
                - JOD
                - JPY
                - KES
                - KGS
                - KHR
                - KMF
                - KPW
                - KRW
                - KWD
                - KYD
                - KZT
                - LAK
                - LBP
                - LKR
                - LRD
                - LSL
                - LYD
                - MAD
                - MDL
                - MGA
                - MKD
                - MMK
                - MNT
                - MOP
                - MRU
                - MUR
                - MVR
                - MWK
                - MXN
                - MXV
                - MYR
                - MZN
                - NAD
                - NGN
                - NIO
                - NOK
                - NPR
                - NZD
                - OMR
                - PAB
                - PEN
                - PGK
                - PHP
                - PKR
                - PLN
                - PYG
                - QAR
                - RON
                - RSD
                - RUB
                - RWF
                - SAR
                - SBD
                - SCR
                - SDG
                - SEK
                - SGD
                - SHP
                - SLE
                - SOS
                - SRD
                - SSP
                - STN
                - SVC
                - SYP
                - SZL
                - THB
                - TJS
                - TMT
                - TND
                - TOP
                - TRY
                - TTD
                - TWD
                - TZS
                - UAH
                - UGX
                - USD
                - USN
                - UYI
                - UYU
                - UYW
                - UZS
                - VED
                - VES
                - VND
                - VUV
                - WST
                - XAD
                - XAF
                - XCD
                - XCG
                - XOF
                - XPF
                - YER
                - ZAR
                - ZMW
                - ZWG
                - null
              type:
                - string
                - 'null'
          required:
            - count
            - amount
            - currency
          type: object
        status:
          enum:
            - active
            - disabled
            - archived
            - paused
          type: string
        subscribers:
          minimum: 0
          type:
            - integer
            - 'null'
        type:
          type: string
        usage:
          properties:
            day:
              properties:
                amount:
                  minimum: 0
                  type: integer
                count:
                  minimum: 0
                  type: integer
                currency:
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHE
                    - CHF
                    - CHW
                    - CLF
                    - CLP
                    - CNY
                    - COP
                    - COU
                    - CRC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MRU
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MXV
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SDG
                    - SEK
                    - SGD
                    - SHP
                    - SLE
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SVC
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - USN
                    - UYI
                    - UYU
                    - UYW
                    - UZS
                    - VED
                    - VES
                    - VND
                    - VUV
                    - WST
                    - XAD
                    - XAF
                    - XCD
                    - XCG
                    - XOF
                    - XPF
                    - YER
                    - ZAR
                    - ZMW
                    - ZWG
                  type: string
              required:
                - amount
                - count
                - currency
              type:
                - object
                - 'null'
            month:
              properties:
                amount:
                  minimum: 0
                  type: integer
                count:
                  minimum: 0
                  type: integer
                currency:
                  enum:
                    - AED
                    - AFN
                    - ALL
                    - AMD
                    - AOA
                    - ARS
                    - AUD
                    - AWG
                    - AZN
                    - BAM
                    - BBD
                    - BDT
                    - BHD
                    - BIF
                    - BMD
                    - BND
                    - BOB
                    - BOV
                    - BRL
                    - BSD
                    - BTN
                    - BWP
                    - BYN
                    - BZD
                    - CAD
                    - CDF
                    - CHE
                    - CHF
                    - CHW
                    - CLF
                    - CLP
                    - CNY
                    - COP
                    - COU
                    - CRC
                    - CUP
                    - CVE
                    - CZK
                    - DJF
                    - DKK
                    - DOP
                    - DZD
                    - EGP
                    - ERN
                    - ETB
                    - EUR
                    - FJD
                    - FKP
                    - GBP
                    - GEL
                    - GHS
                    - GIP
                    - GMD
                    - GNF
                    - GTQ
                    - GYD
                    - HKD
                    - HNL
                    - HTG
                    - HUF
                    - IDR
                    - ILS
                    - INR
                    - IQD
                    - IRR
                    - ISK
                    - JMD
                    - JOD
                    - JPY
                    - KES
                    - KGS
                    - KHR
                    - KMF
                    - KPW
                    - KRW
                    - KWD
                    - KYD
                    - KZT
                    - LAK
                    - LBP
                    - LKR
                    - LRD
                    - LSL
                    - LYD
                    - MAD
                    - MDL
                    - MGA
                    - MKD
                    - MMK
                    - MNT
                    - MOP
                    - MRU
                    - MUR
                    - MVR
                    - MWK
                    - MXN
                    - MXV
                    - MYR
                    - MZN
                    - NAD
                    - NGN
                    - NIO
                    - NOK
                    - NPR
                    - NZD
                    - OMR
                    - PAB
                    - PEN
                    - PGK
                    - PHP
                    - PKR
                    - PLN
                    - PYG
                    - QAR
                    - RON
                    - RSD
                    - RUB
                    - RWF
                    - SAR
                    - SBD
                    - SCR
                    - SDG
                    - SEK
                    - SGD
                    - SHP
                    - SLE
                    - SOS
                    - SRD
                    - SSP
                    - STN
                    - SVC
                    - SYP
                    - SZL
                    - THB
                    - TJS
                    - TMT
                    - TND
                    - TOP
                    - TRY
                    - TTD
                    - TWD
                    - TZS
                    - UAH
                    - UGX
                    - USD
                    - USN
                    - UYI
                    - UYU
                    - UYW
                    - UZS
                    - VED
                    - VES
                    - VND
                    - VUV
                    - WST
                    - XAD
                    - XAF
                    - XCD
                    - XCG
                    - XOF
                    - XPF
                    - YER
                    - ZAR
                    - ZMW
                    - ZWG
                  type: string
              required:
                - amount
                - count
                - currency
              type:
                - object
                - 'null'
          required:
            - month
            - day
          type: object
      required:
        - id
        - object
        - mode
        - name
        - type
        - mid
        - gateway
        - status
        - paused_until
        - pause_reason
        - methods
        - capabilities_synced_at
        - usage
        - declines_in_a_row
        - renewals_due
        - subscribers
        - approval
        - capabilities
        - profile
      type: object
    ProcessorApiError:
      properties:
        error:
          properties:
            code:
              $ref: '#/components/schemas/ProcessorErrorCode'
            details:
              additionalProperties: {}
              type: object
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            request_id:
              type: string
            type:
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - unavailable_error
              type: string
          required:
            - type
            - code
            - message
            - param
            - request_id
          type: object
      required:
        - error
      type: object
    ProcessorErrorCode:
      enum:
        - amount_out_of_range
        - authentication_required
        - connector_not_available
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - method_activation_not_supported
        - method_not_available
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - permission_denied
        - processor_state_not_available
        - profile_sync_not_supported
        - profile_sync_unknown
        - rate_limited
        - resource_not_found
      type: string
      x-extensible-enum:
        - amount_out_of_range
        - authentication_required
        - connector_not_available
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - method_activation_not_supported
        - method_not_available
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - permission_denied
        - processor_state_not_available
        - profile_sync_not_supported
        - profile_sync_unknown
        - rate_limited
        - resource_not_found
  securitySchemes:
    bearerAuth:
      description: >-
        Secret, platform or publishable API key. Platform keys require
        Payments-Account.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.